Qwen3.8 27B
150,000-token context, 64 parallel requests per account, tools and JSON output.
qwen3.8-27b
Capabilities
- Context length
- 150,000 tokens, prompt plus output
- Parallel requests
- 64 per account (
max_parallel) - Thinking
- On by default; off with
chat_template_kwargs.enable_thinking: false - Tools and JSON output
- Yes:
tools,tool_choice,response_format - Input and output
- Text only
Request
curl
curl https://api.albastov.com/v1/chat/completions \
-H "Authorization: Bearer $ALBASTAR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "qwen3.8-27b",
"max_tokens": 200,
"messages": [
{"role": "user",
"content": "Summarise the rules of chess in three sentences."}
],
"chat_template_kwargs": {"enable_thinking": false}
}'Python
import os
from openai import OpenAI
client = OpenAI(
base_url="https://api.albastov.com/v1",
api_key=os.environ["ALBASTAR_API_KEY"],
)
reply = client.chat.completions.create(
model="qwen3.8-27b",
max_tokens=200,
messages=[{
"role": "user",
"content": "Summarise the rules of chess in three sentences.",
}],
extra_body={"chat_template_kwargs": {"enable_thinking": False}},
)
print(reply.choices[0].message.content)JavaScript
const res = await fetch("https://api.albastov.com/v1/chat/completions", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.ALBASTAR_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
model: "qwen3.8-27b",
max_tokens: 200,
messages: [{
role: "user",
content: "Summarise the rules of chess in three sentences.",
}],
chat_template_kwargs: { enable_thinking: false },
}),
});
if (!res.ok) throw new Error(`${res.status} ${await res.text()}`);
const reply = await res.json();
console.log(reply.choices[0].message.content);Every parameter, response header and error: Chat completions reference.